Skip to main content
GET
/
fiat_accounts
/
{accountId}
TypeScript
const response: Promise<FireblocksResponse<FiatAccount>> = fireblocks.fiatAccounts.getFiatAccount(fiatAccountsApiGetFiatAccountRequest);
{
  "id": "<string>",
  "type": "BLINC",
  "name": "<string>",
  "address": "<string>",
  "assets": [
    {
      "id": "<string>",
      "balance": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://fireblocks-43c4b3ee-chore-add-cli.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

accountId
string
required

The ID of the fiat account to return

Response

A fiat account object

id
string
type
enum<string>
Available options:
BLINC
name
string

Display name of the fiat account

address
string | null
assets
object[]